CVE-2024-25607

CVSS 3.1 Score 8.1 of 10 (high)

Details

Published Feb 20, 2024
CWE ID 916

Summary

CVE-2024-25607 is a vulnerability that affects Liferay Portal versions 7.2.0 through 7.4.3.15, as well as older unsupported versions, and Liferay DXP versions before update 16 for 7.4, before update 4 for 7.3, and before fix pack 17 for 7.2. The default password hashing algorithm used in these versions, PBKDF2-HMAC-SHA1, has a low work factor which makes it susceptible to quick cracking of password hashes by attackers. This vulnerability poses a high risk to organizations as it could potentially lead to unauthorized access to sensitive information and compromise the confidentiality and integrity of the system. Remediation should involve updating to the latest supported version of Liferay Portal or DXP that addresses this vulnerability and using stronger password hashing algorithms with sufficient computational effort to enhance security.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-25607 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options